############################### Blonkers! ##############################
# File: filenames.py
#
# Imported by: sprites.py
#
# Description: creates paths for all the files in the data folder
#
#
# (C) Copyright 2011 by Chris Flesner
# This file is released under a GNU All-Permissive License:
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.
########################################################################

from data import *

SIMPLE_BLOCK_GRAY_FILE = filepath('graycore.png')
SIMPLE_BLOCK_BLUE_FILE = filepath('bluecore.png')
SIMPLE_BLOCK_GREEN_FILE = filepath('greencore.png')
SIMPLE_BLOCK_LBLUE_FILE = filepath('lightbluecore.png')
SIMPLE_BLOCK_ORANGE_FILE = filepath('orangecore.png')
SIMPLE_BLOCK_PURPLE_FILE = filepath('purplecore.png')
SIMPLE_BLOCK_RED_FILE = filepath('redcore.png')
SIMPLE_BLOCK_YELLOW_FILE = filepath('yellowcore.png')
SIMPLE_BLOCK_FILE_LIST = [SIMPLE_BLOCK_GRAY_FILE, SIMPLE_BLOCK_BLUE_FILE,
                          SIMPLE_BLOCK_GREEN_FILE, SIMPLE_BLOCK_LBLUE_FILE,
                          SIMPLE_BLOCK_ORANGE_FILE, SIMPLE_BLOCK_PURPLE_FILE,
                          SIMPLE_BLOCK_RED_FILE, SIMPLE_BLOCK_YELLOW_FILE]

#STUBBORN_BLOCK_GRAY_FILE = filepath('darkergrayblock.png')
#STUBBORN_BLOCK_BLUE_FILE = filepath('blueblock.png')
#STUBBORN_BLOCK_GREEN_FILE = filepath('greenblock.png')
#STUBBORN_BLOCK_LBLUE_FILE = filepath('lightblueblock.png')
#STUBBORN_BLOCK_ORANGE_FILE = filepath('orangeblock.png')
#STUBBORN_BLOCK_PURPLE_FILE = filepath('purpleblock.png')
#STUBBORN_BLOCK_RED_FILE = filepath('redblock.png')
#STUBBORN_BLOCK_YELLOW_FILE = filepath('yellowblock.png')
#STUBBORN_BLOCK_FILE_LIST = [STUBBORN_BLOCK_GRAY_FILE,
#                            STUBBORN_BLOCK_BLUE_FILE,
#                            STUBBORN_BLOCK_GREEN_FILE,
#                            STUBBORN_BLOCK_LBLUE_FILE,
#                            STUBBORN_BLOCK_ORANGE_FILE,
#                            STUBBORN_BLOCK_PURPLE_FILE,
#                            STUBBORN_BLOCK_RED_FILE,
#                            STUBBORN_BLOCK_YELLOW_FILE]

LEVEL_BACKGROUND_FILE = filepath('violet.jpg')
